Skip to content

Refund

Request

Path Parameters

sid
string
Required
EVO Cloud assigned store number, unique identifier for store.

Header Parameters

Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message. - Usage Instruction 1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512 The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.

Query Parameters

merchantTransID
string<= 32 characters
Required
The merchantTransInfo.merchantTransID of the initial request. - Usage Instruction 1. For POST Capture, Refund, Cancel and DataSubmission. This field is the merchantTransInfo.merchantTransID of the initial Payment Request. 2. For PUT and GET request. This field is the merchantTransInfo.merchantTransID of the initial POST request. 3. Field type: String(32)

Request Body schema

initiatingReason
string<= 64 characters
This field is used for merchant to state the reason to initiate the transaction - Usage Instruction 1. It is suggested to send this field in the process of DELETE PaymentMethod, POST Capture, POST Cancel, and POST Refund 2. For DELETE PaymentMethod request, if merchant needs to remove WeChat Pay token, this field must be presented. 3. Field Type: String(64)
merchantTransInfo
object
Required
"This is the information for merchant to identify this Transaction - Usage Instruction For each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, CancelOrRefund, DataSubmission and Cryptogram and DeviceBinding, a new and unique merchantTranInfo shall be assigned for the transaction"
metadata
string<= 512 characters
This field is used for merchant to state reference information - Usage Instruction 1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response 2. Field Type: String(512)
transAmount
object
Required
This is used to define the amount for the transaction - Usage Instruction 1. Used in POST Payment request, to send the payment transaction amount 2. Used in POST Capture request, to send the capture amount 3. Used in POST Refund request, to send the refund transaction amount 4. Used within object payment, capture or refund in response or notification from EVO Cloud, to specify the corresponding amount of the objects. 5. Used in POST PaymentMethod, to indicate Currency for this transaction when the store is assigned multiple Currencies in EVO Cloud. If the store is not assigned multiple Currencies, this object will be ignored.
webhook
string<= 300 characters
This filed is used for merchant to provide asynchronous notification endpoint - Usage Instruction 1. Merchant may provide this information in the request message, once it is processed successfully, EVO Cloud will send notification to this endpoint 2. The format of the webhook must contain http:// or htps:// 3. Field Type: String(300)

Responses

Try it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Query Parameters
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/refund?merchantTransID=string' \
 -H 'Authorization: string' \
 -H 'Content-type: application/json' \
 -H 'DateTime: string' \
 -H 'KeyID: string' \
 -H 'MsgID: string' \
 -H 'SignType: string' \
 -H 'Idempotency-Key: string' \
 -d '{
  "merchantTransInfo": {
    "merchantTransID": "T503201742452283385",
    "merchantTransTime": "2025-06-05T14:15:29+08:00"
  },
  "metadata": "This is a metadata",
  "transAmount": {
    "currency": "HKD",
    "value": "1"
  },
  "webhook": "https://f769f724-8639-4892-8850-b8c3abe52415.mock.pstmn.io/"
}'
JavaScript
const query = new URLSearchParams({
  "merchantTransID": "string"
}).toString()

const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/refund?${query}`,
{
  method: 'post',
  headers: {
  'Authorization': 'string',
  'Content-type': 'application/json',
  'DateTime': 'string',
  'KeyID': 'string',
  'MsgID': 'string',
  'SignType': 'string',
  'Idempotency-Key': 'string'
},
  body: '{
  "merchantTransInfo": {
    "merchantTransID": "T503201742452283385",
    "merchantTransTime": "2025-06-05T14:15:29+08:00"
  },
  "metadata": "This is a metadata",
  "transAmount": {
    "currency": "HKD",
    "value": "1"
  },
  "webhook": "https://f769f724-8639-4892-8850-b8c3abe52415.mock.pstmn.io/"
}'
})
  .then(response => response.json())
  .then(data => console.log(data));
Response Samples
application/json
json